## ocamlformat 0.26.2

=== debian/changelog ===
ocamlformat (0.26.2-1build5) plucky; urgency=medium

  * No-change rebuild for OCaml ABI changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Nov 2024 13:55:00 +0100

ocamlformat (0.26.2-1build4) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Sep 2024 14:39:00 +0200

ocamlformat (0.26.2-1build3) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 11 Sep 2024 21:49:03 +0200

ocamlformat (0.26.2-1build2) oracular; urgency=medium

  * No-change rebuild for OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 06 Sep 2024 17:04:40 +0200

ocamlformat (0.26.2-1build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:50:39 +0200

ocamlformat (0.26.2-1) unstable; urgency=medium

  * Initial release (Closes: #1075934)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 12 Jul 2024 09:08:37 +0200
