=== debian/control ===
Source: ocamlformat
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ocaml,
 ocaml-dune,
 menhir,
 libocp-indent-ocaml-dev,
 libstdio-ocaml-dev,
 libcsexp-ocaml-dev,
 libocaml-version-ocaml-dev,
 libcamlp-streams-ocaml-dev,
 libresult-ocaml-dev,
 libmenhir-ocaml-dev,
 libastring-ocaml-dev,
 libdune-ocaml-dev,
 libfpath-ocaml-dev,
 libre-ocaml-dev,
 libcmdliner-ocaml-dev,
 libuuseg-ocaml-dev,
 libalcotest-ocaml-dev <!nocheck>,
 ocp-indent <!nocheck>,
 dh-elpa,
 dh-ocaml (>= 2)
Standards-Version: 4.7.0
Rules-Requires-Root: no
Section: ocaml
Homepage: https://github.com/ocaml-ppx/ocamlformat
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocamlformat
Vcs-Git: https://salsa.debian.org/ocaml-team/ocamlformat.git

Package: ocamlformat
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Description: auto-formatter for OCaml code
 ocamlformat is a code formatter for OCaml. It comes with opinionated
 default settings but is also fully customizable to suit your coding
 style.
  - Profiles: ocamlformat offers profiles with predefined formatting
    configurations.
  - Configurable: Users can change the formatting profile and configure
    every option in their .ocamlformat configuration file.
  - Format Comments: ocamlformat can format comments, docstrings, and
    even code blocks in your comments.
  - RPC: ocamlformat provides an RPC server that can be used by other
    tools to easily format OCaml Code.

Package: libocamlformat-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Provides:
 ${ocaml:Provides},
Description: auto-formatter for OCaml code (development library)
 ocamlformat is a code formatter for OCaml. It comes with opinionated
 default settings but is also fully customizable to suit your coding
 style.
  - Profiles: ocamlformat offers profiles with predefined formatting
    configurations.
  - Configurable: Users can change the formatting profile and configure
    every option in their .ocamlformat configuration file.
  - Format Comments: ocamlformat can format comments, docstrings, and
    even code blocks in your comments.
  - RPC: ocamlformat provides an RPC server that can be used by other
    tools to easily format OCaml Code.
 .
 This package contains the development stuff needed to use the
 ocamlformat library in your programs.

Package: libocamlformat-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Provides:
 ${ocaml:Provides}
Description: auto-formatter for OCaml code (runtime library)
 ocamlformat is a code formatter for OCaml. It comes with opinionated
 default settings but is also fully customizable to suit your coding
 style.
  - Profiles: ocamlformat offers profiles with predefined formatting
    configurations.
  - Configurable: Users can change the formatting profile and configure
    every option in their .ocamlformat configuration file.
  - Format Comments: ocamlformat can format comments, docstrings, and
    even code blocks in your comments.
  - RPC: ocamlformat provides an RPC server that can be used by other
    tools to easily format OCaml Code.
 .
 This package contains the runtime library for programs using
 the ocamlformat library.
