=== debian/watch ===
version=4
opts="searchmode=plain" \
https://api.github.com/repos/ocaml-ppx/ocamlformat/releases?per_page=50 \
https://github.com/ocaml-ppx/ocamlformat/releases/download/[^/]+/ocamlformat-@ANY_VERSION@.tbz
