=== debian/control ===
--- 
+++ 
@@ -25,8 +25,7 @@
  ocp-indent <!nocheck>,
  dh-elpa,
  dh-ocaml (>= 2)
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Section: ocaml
 Homepage: https://github.com/ocaml-ppx/ocamlformat
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocamlformat
